GenericDesktopEntry (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.util.GenericDesktopEntry interface
Date: 2021-03-21

net.sourceforge.jnlp.util

## Interface GenericDesktopEntry

- All Known Implementing Classes:
    WindowsDesktopEntry, XDesktopEntry

      public interface GenericDesktopEntry

  Thsi is very wierd interface, as two implementing classes have empty intersection. The interface exists only because windows implementation depnds on mslink.jar, and thus is optional. todo. unify the X and win implementations so this interface have sense

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createDesktopShortcuts(net.sourceforge.jnlp.security.dialogresults.AccessWarningPaneComplexReturn.ShortcutResult menu, net.sourceforge.jnlp.security.dialogresults.AccessWarningPaneComplexReturn.ShortcutResult desktop, boolean isSigned)`
    `void` | `createShortcutOnWindowsDesktop()`
    `void` | `createWindowsMenu()`
    `java.io.File` | `getDesktopIconFile()`
    `java.lang.String` | `getDesktopIconFileName()`
    `java.io.File` | `getGeneratedJnlpFileName()`
    `java.io.File` | `getLinuxMenuIconFile()`
    `void` | `refreshExistingShortcuts(boolean desktop, boolean menu)`

- - ### Method Detail

    - #### createDesktopShortcuts

          void createDesktopShortcuts(net.sourceforge.jnlp.security.dialogresults.AccessWarningPaneComplexReturn.ShortcutResult menu,
                                      net.sourceforge.jnlp.security.dialogresults.AccessWarningPaneComplexReturn.ShortcutResult desktop,
                                      boolean isSigned)

    - #### refreshExistingShortcuts

          void refreshExistingShortcuts(boolean desktop,
                                        boolean menu)

    - #### getGeneratedJnlpFileName

          java.io.File getGeneratedJnlpFileName()

    - #### getLinuxMenuIconFile

          java.io.File getLinuxMenuIconFile()

    - #### createShortcutOnWindowsDesktop

          void createShortcutOnWindowsDesktop()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createWindowsMenu

          void createWindowsMenu()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getDesktopIconFileName

          java.lang.String getDesktopIconFileName()

    - #### getDesktopIconFile

          java.io.File getDesktopIconFile()

Submit a bug or feature